package org.josast.app.amicalsat.cli;

import java.util.Vector;

import org.josast.app.amicalsat.cli.option.Cmd;
import org.josast.app.amicalsat.cli.option.OptionsAnalysis;

public class AmicalsatCli {
 

	/**
	 * @param args
	 */
	public AmicalsatCli(String[] args) {
		OptionsAnalysis opt=new OptionsAnalysis(args); 
		Vector<Cmd> vec = opt.getCommandes();
		 for(Cmd cmd : vec){ 
	           cmd.excute();
		 }
	}


	/**
	 * @param args
	 */
	public static void main(String[] args)  {

		AmicalsatCli cli = new AmicalsatCli(args);
		

	}

}
